# Creating network alignment

An single interface to create network alignments from different NA methods. The `namethods` directory should contain
all of the binary files for the different NA methods. Since I cannot publish those binaries myself, I posted the directory
structure at the end of this file.

Example of how to run the files:
```
bash> julia pnamnaalign.jl ../data/netsetmaps.csv "WAVE_top" "NETWORKS/gedevo_Y2H2_yeast_human.txt" Y2H2 "ALIGNMENTS_P_P/WAVE_top/Y2H2_yeast_human.aln" 3
bash> julia pnamnaalign.jl ../data/netsetmaps.csv "WAVE_seq" "NETWORKS/gedevo_Y2H2_yeast_human.txt" Y2H2 "ALIGNMENTS_P_P/WAVE_seq/Y2H2_yeast_human.aln" 3
bash> julia pnamnaalign.jl ../data/netsetmaps.csv "GHOST_seq" "NETWORKS/gedevo_yeastlc_yeast0_yeast5.txt" "ALIGNMENTS_P_P/GHOST_seq/yeastlc_yeast0_yeast5.txt" 3
```


## NA methods directory structure

```
BEAMS:
beams

GHOST:
adj_to_gexf.py  GHOST

IsoRankN:
isorank-n-v3-64  README_isorank-n

L-GRAAL:
L-GRAAL

MAGNA++:
magna

multiMAGNA++:
magna

WAVE:
WAVE
```

# Convert alignment of a network set into pairwise alignments

Example:
```
bash> julia create_alignments_m_m_to_m_m2p.jl aln_desc_file_ALIGNMENTS_M_M.csv aln_desc_file_ALIGNMENTS_M_M2P.csv
```

# Convert pairwise alignments between networks in a netwokr set to a multiple alignment

Example:
```
julia create_alignments_for_star_mnas.jl aln_desc_file_ALIGNMENTS_M_P_pairs.csv aln_desc_file_ALIGNMENTS_M_P.csv
```
